python-expiringdict_1.1.2-1_all.deb


Advertisement

Description

python-expiringdict - Python caching library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-expiringdict_1.1.2-1_all.deb
Package name python-expiringdict
Package version 1.1.2
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/mailgun/expiringdict
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 4.52 KB
Installed size 53.00 KB
expiringdict is a Python caching library, providing an ordered
dictionary with auto-expiring values for caching purposes. Expiration
happens on any access, object is locked during cleanup from expired
values.  ExpiringDict stores at most a maximum number of elements -
the oldest will be deleted.
This is the Python 2 version of this package.

Alternatives

Package Version Architecture Repository
python-expiringdict_1.1.2-1_all.deb 1.1.2 all Ubuntu Universe
python-expiringdict - - -

Requires

Name Value
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-expiringdict_1.1.2-1_all.deb
Source Package python-expiringdict

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-expiringdict deb package:
    # sudo apt-get install python-expiringdict

Files

Path
/usr/lib/python2.7/dist-packages/expiringdict/__init__.py
/usr/lib/python2.7/dist-packages/expiringdict-1.1.2.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/expiringdict-1.1.2.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/expiringdict-1.1.2.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/expiringdict-1.1.2.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/expiringdict-1.1.2.egg-info/zip-safe
/usr/share/doc/python-expiringdict/changelog.Debian.gz
/usr/share/doc/python-expiringdict/copyright

Changelog

2014-03-11 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
python-expiringdict (1.1.2-1) unstable; urgency=medium
* new upstream version, with upstream licensing included 
(Closes: #740044)
2014-02-24 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
python-expiringdict (1.1-1) unstable; urgency=low
* First attempt at a debian upload

See Also

Package Description
python-expyriment_0.7.0+git34-g55a4e7e-3.3_all.deb Python library for cognitive and neuroscientific experiments
python-extractor_0.6-7_all.deb extracts meta-data from files of arbitrary type (Python bindings)
python-eyed3_0.8.4-2_all.deb Python module for id3-tags manipulation (Python 2 version)
python-fabio-doc_0.6.0+dfsg-1_all.deb I/O library for images produced by 2D X-ray detector - documentation
python-fabio_0.6.0+dfsg-1_i386.deb I/O library for images produced by 2D X-ray detector - Python2
python-fabulous-doc_0.3.0+dfsg1-1_all.deb Python module to make your terminal output fabulous - documentation
python-fabulous_0.3.0+dfsg1-1_i386.deb Python module to make your terminal output fabulous
python-facebook_20170111-0ubuntu1_all.deb Python wrappers for the Facebook API
python-factory-boy-doc_2.8.1-2_all.deb test fixtures replacement based on factory_girl for Ruby - doc
python-factory-boy_2.8.1-2_all.deb test fixtures replacement based on factory_girl for Ruby - Python 2.x
python-fake-factory_0.7.7-2_all.deb Faker is a Python library that generates fake data (Python 2)
python-fakeredis_0.9.0-1_all.deb Fake version of a redis-py - Python 2.x
python-fakesleep_0.1-1_all.deb Fake version of time.sleep() for use in tests
python-falcon_1.0.0-2build3_i386.deb supersonic micro-framework for building cloud APIs - Python 2.x
python-fann2_1.0.7-6build2_i386.deb Python bindings for FANN
Advertisement
Advertisement